Reservation line mappings
/reservations/line-mappings
Create reservation line mapping
Authorization
apiKey X-API-Key<token>
API key provided in dashboard
In: header
Request Body
application/json
type*string
description?string|null
accountId?string|null
revenueRecognition?string|null
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://api.vrplatform.app/reservations/line-mappings" \ -H "Content-Type: application/json" \ -d '{ "type": "string" }'{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"account": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string"
},
"status": "mapped",
"revenueRecognition": "checkIn",
"type": "string",
"description": "string",
"source": "manual",
"channelMappings": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"account": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string"
},
"status": "mapped",
"revenueRecognition": "checkIn",
"bookingChannel": "string"
}
]
}{
"code": "string",
"message": "string",
"issues": [
{
"message": "string"
}
],
"context": null
}{
"code": "string",
"message": "string",
"issues": [
{
"message": "string"
}
],
"context": null
}{
"code": "string",
"message": "string",
"issues": [
{
"message": "string"
}
],
"context": null
}{
"code": "string",
"message": "string",
"issues": [
{
"message": "string"
}
],
"context": null
}{
"code": "string",
"message": "string",
"issues": [
{
"message": "string"
}
],
"context": null
}